Package org.oasis_open.docs.ws_calendar.ns.soap

# Class MultiOpType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.BaseRequestType
org.oasis_open.docs.ws_calendar.ns.soap.MultiOpType

public class MultiOpType extends BaseRequestType
This type is a wrapper around a number of sub-operations allowing complex structures to be updated in a single, atomic operation. Each sub-operation is one of the other possible operations, e.g. updateItem, deleteItem etc. Inclusion of a multiOp is disallowed. The response is a MultiOpResponseType which wraps one response per sub-operation. It will terminate on the first failure and all updates to that point rolled back. Inclusion of an id attribute in the sub-operation request will aid in associating responses with requests.

Java class for MultiOpType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MultiOpType">
       <complexContent>
         <extension base="{http://docs.oasis-open.org/ws-calendar/ns/soap}BaseRequestType">
           <sequence>
             <element name="operations" type="{http://docs.oasis-open.org/ws-calendar/ns/soap}ArrayOfOperations"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ArrayOfOperations`
  `operations`

  ### Fields inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseRequestType

  `href, id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MultiOpType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ArrayOfOperations`
  `getOperations()`
  Gets the value of the operations property.
  `void`
  `setOperations(ArrayOfOperations value)`
  Sets the value of the operations property.

  ### Methods inherited from class org.oasis_open.docs.ws_calendar.ns.soap.BaseRequestType

  `getHref, getId, setHref, setId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### operations

    protected ArrayOfOperations operations

- ## Constructor Details

  - ### MultiOpType

    public MultiOpType()

- ## Method Details

  - ### getOperations

    public ArrayOfOperations getOperations()
    Gets the value of the operations property.
    Returns:
      possible object is `ArrayOfOperations`

  - ### setOperations

    public void setOperations(ArrayOfOperations value)
    Sets the value of the operations property.
    Parameters:
      `value` - allowed object is `ArrayOfOperations`